Skip to main content
GET
/
workflows
/
executions
/
{executionId}
/
files
/
{fileId}
/
download-url
Get a signed download URL for a file produced by an execution
curl --request GET \
  --url https://api.artu.ai/workflows/executions/{executionId}/files/{fileId}/download-url \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "url": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "headers": {}
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

executionId
string<uuid>
required
fileId
string
required
Minimum string length: 1

Query Parameters

disposition
enum<string>
default:attachment
Available options:
attachment,
inline

Response

200 - application/json

OK

url
string<uri>
required
expiresAt
string<date-time>
required
headers
object
required